Name:		gnupylot
Version:	0.1.9
Release:	%mkrel 5
Summary:	GUI for gnuplot
Group:		Sciences/Mathematics
License:	GPLv2
URL:		http://sourceforge.net/projects/gnupylot/
Source0:	https://sourceforge.net/projects/gnupylot/files/Gnupylot-%{version}.zip
BuildArch:	noarch
Requires:	gnuplot
Requires:	python-qt4
Requires:	qt4-common

%description
Gnupylot is a GUI for gnuplot (the known multi-OS graphing utility).
It's written in Python using PyQt4 libraries. 

%prep
%setup -q -n Gnupylot
rm -f icons/.directory

%build
#nothing

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -Rf icons %{buildroot}%{_datadir}/%{name}/
cp -Rf images %{buildroot}%{_datadir}/%{name}/
cp -Rf src %{buildroot}%{_datadir}/%{name}/
install -m 755 %{name} %{buildroot}%{_datadir}/%{name}/
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 0644 %{buildroot}%{_datadir}/%{name}/images/logo.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
mkdir -p %{buildroot}%{_bindir}
ln -s %{_datadir}/%{name}/%{name} %{buildroot}%{_bindir}/%{name}

cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Gnupylot
GenericName=GUI for gnuplot
GenericName[ru]=GUI для gnuplot
Comment=GUI for gnuplot (the known multi-OS plotting utility)
Comment[ru]=GUI для gnuplot (известной утилиты для построения графиков)
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Education;Science;Math;
EOF

%files
%doc README RELEASE_NOTES
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_bindir}/%{name}


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 0.1.9-5.mga6
+ Revision: 951679
- Mageia 6 Mass Rebuild

* Tue Jan 06 2015 alexl <alexl> 0.1.9-4.mga5
+ Revision: 808878
- updated desktop file with GenericName

* Wed Oct 15 2014 umeabot <umeabot> 0.1.9-3.mga5
+ Revision: 745833
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.9-2.mga5
+ Revision: 679833
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 alexl <alexl> 0.1.9-1.mga5
+ Revision: 616459
- imported package gnupylot

